← OBPv7.0.0 Update Account PUT /obp/v7.0.0/management/banks/BANK_ID/accounts/ACCOUNT_ID OBPv3.1.0-updateAccount Roles: CanUpdateAccount(per bank) Account Update the account. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0 BANK_ID: gh.29.uk JSON response body fields (8) account_id 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0account_routings address bank_id gh.29.ukbranch_id DERBY6label My Accountscheme OBPtype Example request body { "label": "Label", "type": "CURRENT", "branch_id": "1234", "account_routings": [ { "scheme": "OBP", "address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0" } ] } Example success response { "bank_id": "gh.29.uk", "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0", "label": "Label", "type": "CURRENT", "branch_id": "1234", "account_routings": [ { "scheme": "IBAN", "address": "DE91 1000 0000 0123 4567 89" } ] } Possible errors (5) OBP-10001: Incorrect json format.OBP-20001: User not logged in. Authentication is required!OBP-50000: Unknown Error.OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID. OBP-20006: User is missing one or more roles: